#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "NegatableDialogHandlerCondition.generated.h"

class UDialogHandlerCondition;

USTRUCT(BlueprintType)
struct FNegatableDialogHandlerCondition
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UDialogHandlerCondition> ConditionClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	UDialogHandlerCondition* ConditionInstance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsNegated;

public:
	DBDDIALOG_API FNegatableDialogHandlerCondition();
};

FORCEINLINE uint32 GetTypeHash(const FNegatableDialogHandlerCondition) { return 0; }
